package com.yunzhi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 文章统计
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaPostData对象", description="文章统计")
public class TaPostData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "文章ID")
    @TableId(value = "post_id", type = IdType.INPUT)
    private String postId;

    @ApiModelProperty(value = "阅读人数")
    private Integer uV;

    @ApiModelProperty(value = "浏览量")
    private Integer pV;

    @ApiModelProperty(value = "收藏")
    private Integer savedNum;


}
