package com.yunzhi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaPost;
import com.yunzhi.demo.entity.TaPostSave;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 收藏 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
public interface ITaPostSaveService extends IService<TaPostSave> {

    boolean checkSaved(String personId, String postId);

    IPage<TaPost> getMyPostSaveList(IPage<TaPost> pg, String personId);

    TaPostSave getMyPostSave(String personId, String postId);
}
