package com.yunzhi.demo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.demo.common.Constants;
import com.yunzhi.demo.entity.TaTopic;
import com.yunzhi.demo.mapper.TaTopicMapper;
import com.yunzhi.demo.service.ITaTopicService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 热门 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class TaTopicServiceImpl extends ServiceImpl<TaTopicMapper, TaTopic> implements ITaTopicService {

    @Override
    public List<TaTopic> getIndexList() {
        QueryWrapper<TaTopic> queryWrapper = new QueryWrapper<TaTopic>()
                .eq("status", Constants.STATUS_NORMAL)
                .orderByAsc("sort_no");
        return list(queryWrapper);
    }
}
